/* 
   COPYRIGHT 2004 KRUPCZAK.ORG, LLC.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
   USA
 
   For more information, visit:
   http://www.krupczak.org/
*/

/* file - globals.c */
/* rdk@krupczak.org */

/* Global variables, facilities, to core agent engine etc. */

#include <stdio.h>
#include <sys/types.h>

#ifndef WIN32
#include <unistd.h>
#include <sys/utsname.h>
#endif /* WIN32 */

#include "xmp.h"
#include "globals.h"

/* ************************************************************* */

char *versionStr = "KorgVersion 0.72"; /* string version */
float xmpd_version = 0.72;        /* my version number */

int xmpd_daemon = 0;              /* set to 1 if daemon */
int xmpd_trace = 0;               /* set to 1 to dump all messages */
int xmpd_verbose = 0;             /* verbose? 0, 1, 2, etc. */
int xmp_session_verbose = 0;      /* verbose sessions? */
u_short xmpd_port = XMP_PORT;     /* my TCP port */
time_t xmpd_init_time;            /* time we started - UNIX epoch */
struct utsname systemuts;         /* what type of system are we on */
char *xmpd_config_file = NULL;    /* config-file location */
char xmpd_home_dir[FILENAME_MAX]; /* home-dir for distribution */
int xmpd_update_configfile = 0;   /* when set to 1, flush config-file */
int xmpd_config_version = 0;      /* current config-file version */
int xmpd_no_modules = 0;          /* set to 1 if no module exchange */

int win32service = 1;             /* default; on UNIX, ignore */
int globalShutdown = 0;           /* set when shutdown in progress */
int dumpcore = 0;                 /* for UNIX, dump core if crash */
int eventAgeOutInterval = 300;    /* default event age out interval in secs */

char defaultManager[256];         /* default agent/manager to send traps to */

int autoUpgrade = 1;              /* should we do auto upgrading */

int sslInit = 0;                  /* has SSL been initialized properly? */

/* ************************************************************* */
